.star {
  position: relative;
  display: inline-block;
  font-size: 25px;
  color: #d3d3d3;
}
.full {
  color: gold;
}
.half {
  position: absolute;
  display: inline-block;
  overflow: hidden;
  color: gold;
}
